For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet PDF templates
      • GETGet built-in PDF templates
      • GETGet a PDF template by ID
      • POSTSet the default PDF template
      • GETPreview a PDF template
LogoLogo
API StatusPartner Portal
UtilitiesPDF templates

Preview a PDF template

GET
/document_templates/:document_template_id/preview
GET
/v1/document_templates/:document_template_id/preview
$curl https://api.sandbox.monite.com/v1/document_templates/document_template_id/preview \
> -H "x-monite-version: moniteVersion" \
> -H "x-monite-entity-id: moniteEntityId" \
> -H "Authorization: Bearer <token>"
Returns a sample PDF invoice generated using the specified template.
Was this page helpful?
Previous

Get text templates

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

document_template_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response

Errors

401
Get Document Templates ID Preview Request Unauthorized Error
422
Get Document Templates ID Preview Request Unprocessable Entity Error
429
Get Document Templates ID Preview Request Too Many Requests Error